Subject: RE: Trusting the IESG to manage the reform process (was: Re:Doingthe Right Things?)

From: <[email-masked]>
Date: Tue, 3 Jun 2003 21:14:18 +0300

Hi Brian & John,

> > Summary: If we can't trust the current IESG for reform-process
> > management, we are in deep trouble.  
> 
> We have no choice except to trust them, because the IESG approving
> a BCP is the only way (short of anarchy) of effecting change.
> 
> So, as you were suggesting, let's divide-and-conquer by cutting off
> bite sized problems, designing solutions, and sending them to 
> the IESG.
> 
> Er, I'm working on one of those. If everybody here worked on one,
> we might be done soon.

I agree.  Making some suggestions and designing solutions may be the
way forward.

John

---

From: "Bound, Jim" <[email-masked]>
Date: Sat, 7 Jun 2003 22:07:57 -0400

Brian,

I in base principle agree with you.  But when an AD tells me this bit
shifting this way will cause a problem and I feel the AD is completely
wrong in a private discussion as author I think the AD and I should
debate that bit shifting technically in front of our peers not giving me
a mandate or holding up the spec or process because they are an AD.
The only AD on the IESG I have ever worked with that could stand in the
technical fire with me is Erik Nordmark and he is willing to go head to
head technically on total technical details not the politics of
interoperability (which is the next step).  Scott and Allison manage
that process very well as a note (or Scott Bradner did) so this was not
an issue I ever saw in the Transport Area.  I am not talking about
architecture I am talking down dirty deep code stuff from the outcome of
a protocol on implementation.

An AD not being able to do this but be suspect of a spec part is fine.
But:

1.  That should happen early on the WG should not spend 1 year on
soemthing that has been sitting in the spec and then 1 year later the AD
brings it up.  They should get an aw shit for that act and then later it
is an aw shit with the next NOMCOM.  Example declaring IPsec is wrong
choice for Mobile IPv6 at the last minute a few years ago was perfect
example.

2.  Open up as AD in the role of AD stating they fear this or that and
let the WG air it out and debate it.

/jim

/jim

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]] 
> Sent: Tuesday, June 03, 2003 11:27 AM
> To: John C Klensin
> Cc: [email-masked]
> Subject: Re: Trusting the IESG to manage the reform process 
> (was: Re:Doingthe Right Things?)
> 
> 
> John C Klensin wrote:
> > 
> We have no choice except to trust them, because the IESG 
> approving a BCP is the only way (short of anarchy) of 
> effecting change.
> 
> So, as you were suggesting, let's divide-and-conquer by 
> cutting off bite sized problems, designing solutions, and 
> sending them to the IESG.
> 
> Er, I'm working on one of those. If everybody here worked on 
> one, we might be done soon.
> 
>    Brian
>

---

From: "Bound, Jim" <[email-masked]>
Date: Sat, 7 Jun 2003 22:16:46 -0400

Harald,

A lot of the problems are not solvable with a process or ruleset or even
a mandate.

When an AD is wrong give it up and move on OR if the WG overwhelming has
been defeated by the WG the AD then they should give it up.  This is
sooooooooooooo important to be an AD.  The AD primary responsibility is
that the specs sent to the IESG are clear, interoperable and with other
protocols dependent on them, I think now is secure or stated where it is
not, and most of all keep their Area going and forward.  An AD must
accept in the role that what they feel is the correct technical answer
will be the minority and they will loose.  Use the words you want I
can't and won't appease the left distaste of words like win, loose,
best, worst, etc.  

For example WG Chairs very rarely have this problem because they are in
the spot light everyday of the WG they have to look into that mirror
everyday and face the music as a peer to the WG and the leader.  ADs sit
at another level.  The trick is to make them have to look in the mirror
too and face the music.

And doing it the plenary is completely useless.  It is almost like a
joke and the IESG hopes people yell at them for a good time.  To me the
plenary is nothing but a joke. To me usually not entertaining.

/jim

> From: Harald Tveit Alvestrand [mailto:[email-masked]] 
> Sent: Tuesday, June 03, 2003 2:16 PM
> To: Brian E Carpenter; John C Klensin
> --On tirsdag, juni 03, 2003 17:26:50 +0200 Brian E Carpenter 
> <[email-masked]> wrote:
> 
> > John C Klensin wrote:
> >>
> approving a 
> > BCP is the only way (short of anarchy) of effecting change.
> >
> > bite sized problems, designing solutions, and sending them to the 
> > IESG.
> >
> > Er, I'm working on one of those. If everybody here worked 
> on one, we 
> > might be done soon.
> 
> Brian,
> 
> while I agree with you on a number of issues.....
> 
> in side conversations, I've made a number of comments on the 
> difficulty of 
> crossing a chasm in two steps.
> In particular, I believe that the problem:
> 
> 2.5.1 Span of Authority
> 
>    Overt authority in the IETF is concentrated in the small number of
>    people sitting on the IESG at that time. Existing IETF 
> processes work
>    to funnel tasks on to this small number of people 
> (primarily the Area
>    Directors (ADs) in the IESG).  This concentration slows up the
>    process and puts a very large load of responsibility on to the
>    shoulders of these people who are required to act as the senior
>    management for Working Group (WG) chairs as well as acting 
> as quality
>    backstops for the large number of documents issued by the IETF.
> 
> cannot be solved by making small changes to the IETF and IESG 
> procedures; 
> we need to change the way we make decisions, which is a BIG change.
> 
> [yes, I have issues with the wording. But that's not important.]
> 
> If there is a core problem that must be solved and cannot be 
> solved by 
> biting off small pieces, I think we cannot afford to ignore it.
> 
>                        Harald
> 
> 
>

---

From: "Bound, Jim" <[email-masked]>
Date: Sat, 7 Jun 2003 22:32:33 -0400

I think it did a lot of good for this community.
/jim

> From: Keith Moore [mailto:[email-masked]] 
> Sent: Wednesday, June 04, 2003 10:50 AM
> To: Dave Crocker
> Cc: [email-masked]; [email-masked]; [email-masked]; 
> [email-masked]
> > The Kobe change to IETF organization was actually quite small. 
> > Strategic. Essential.
> 
> and it's caused a lot of harm.
>